swDepth {oce} | R Documentation

## Water depth

### Description

Compute depth below the surface (i.e. a positive number within the water column) based on pressure and latitude. (Use `swZ` to get the vertical coordinate, which is negative within the water column.)

### Usage

    swDepth(pressure, latitude = 45, eos = getOption("oceEOS", default = "gsw"))

### Arguments

`pressure` | either pressure [dbar], in which case `lat` must also be given, or a `ctd` object, in which case `lat` will be inferred from the object.
`latitude` | Latitude in degN or radians north of the equator.
`eos` | indication of formulation to be used, either `"unesco"` or `"gsw"`.

### Details

If `eos="unesco"` then depth is calculated from pressure using Saunders and Fofonoff's method, with the formula refitted for 1980 UNESCO equation of state [1]. If `eos="gsw"`, then `gsw_z_from_p` from the `gsw` package [2,3] is used.

### Value

Depth below the ocean surface, in metres.

### Author(s)

Dan Kelley

### References

1. Unesco 1983. Algorithms for computation of fundamental properties of seawater, 1983. Unesco Tech. Pap. in Mar. Sci., No. 44, 53 pp.

2. IOC, SCOR, and IAPSO (2010). The international thermodynamic equation of seawater-2010: Calculation and use of thermodynamic properties. Technical Report 56, Intergovernmental Oceanographic Commission, Manuals and Guide.

3. McDougall, T.J. and P.M. Barker, 2011: Getting started with TEOS-10 and the Gibbs Seawater (GSW) Oceanographic Toolbox, 28pp., SCOR/IAPSO WG127, ISBN 978-0-646-55621-5.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

### Examples

    d <- swDepth(10, 45)

[Package oce version 0.9-22 Index]